# D3plus

[![NPM Release](https://img.shields.io/npm/v/d3plus/next.svg?style=flat)](https://www.npmjs.org/package/d3plus)
[![Build Status](https://travis-ci.org/alexandersimoes/d3plus.svg?branch=2.0)](https://travis-ci.org/alexandersimoes/d3plus)
[![Dependency Status](https://david-dm.org/alexandersimoes/d3plus/2.0/status.svg)](https://david-dm.org/alexandersimoes/d3plus/2.0)
[![Gitter](https://img.shields.io/gitter/room/nwjs/nw.js.svg?style=flat)](https://gitter.im/d3plus/)

**D3plus** is a JavaScript re-usable chart library that extends the popular **[D3.js](https://d3js.org/)** to enable the easy creation of beautiful visualizations.

## Resources

* [Examples](http://d3plus.org/examples/)
* [Documentation](http://d3plus.org/docs/)

## Installing

If you use npm, `npm install d3plus@next`. Otherwise, download the [latest release](https://d3plus.org/d3plus.zip). The released bundle supports anonymous AMD, CommonJS, and vanilla environments. You can also load directly from [d3plus.org](https://d3plus.org):

```html
<script src="https://d3plus.org/js/d3plus.v2.0.0-alpha.27.full.min.js"></script>
```

## Modules

**D3plus 2.0** is a [collection of modules](https://github.com/d3plus) that are designed to work together; you can use the modules independently, or you can use them together as part of the default build. The source and documentation for each module is available in its repository. Follow the links below to learn more.

* [d3plus-axis](https://github.com/d3plus/d3plus-axis)
* [d3plus-color](https://github.com/d3plus/d3plus-color)
* [d3plus-common](https://github.com/d3plus/d3plus-common)
* [d3plus-geomap](https://github.com/d3plus/d3plus-geomap)
* [d3plus-hierarchy](https://github.com/d3plus/d3plus-hierarchy)
* [d3plus-legend](https://github.com/d3plus/d3plus-legend)
* [d3plus-network](https://github.com/d3plus/d3plus-network)
* [d3plus-plot](https://github.com/d3plus/d3plus-plot)
* [d3plus-priestley](https://github.com/d3plus/d3plus-priestley)
* [d3plus-shape](https://github.com/d3plus/d3plus-shape)
* [d3plus-text](https://github.com/d3plus/d3plus-text)
* [d3plus-timeline](https://github.com/d3plus/d3plus-timeline)
* [d3plus-tooltip](https://github.com/d3plus/d3plus-tooltip)
* [d3plus-viz](https://github.com/d3plus/d3plus-viz)

## React Usage

* [d3plus-react](https://github.com/d3plus/d3plus-react)
